# tbb::parallel_do_feeder< Item > Class Template Reference

Class the user supplied algorithm body uses to add new tasks. More...

`#include <parallel_do.h>`

List of all members.

## Public Member Functions

void | add (const Item &item)
| Add a work item to a running parallel_do.

## Friends

class | internal::parallel_do_feeder_impl

## Detailed Description

### template<typename Item>
class tbb::parallel_do_feeder< Item >

Class the user supplied algorithm body uses to add new tasks.

Parameters:

  | Item | Work item type

The documentation for this class was generated from the following file:

- parallel_do.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.